import whisper


def get_whisper_asr(video, model='medium'):
    try:
        model = whisper.load_model(model)
        result = model.transcribe(video)
        return result['text']
    except:
        return ''
